#
# spec file for package python-podcastparser
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-podcastparser
Version:        0.6.4
Release:        bp156.3.1
Summary:        A podcast parser
License:        ISC
Group:          Development/Libraries/Python
URL:            https://github.com/gpodder/podcastparser
Source:         https://files.pythonhosted.org/packages/source/p/podcastparser/podcastparser-%{version}.tar.gz
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module xml}
BuildRequires:  fdupes
Requires:       python-xml
BuildArch:      noarch
%python_subpackages

%description
The podcast parser project is a library from the gPodder project to provide a
way of parsing RSS- and Atom-based podcast feeds in Python.

%prep
%setup -q -n podcastparser-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand nosetests-%{$python_bin_suffix}

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/*

%changelog
* Sun Jun  2 2019 Jan Engelhardt <jengelh@inai.de>
- Ensure neutrality of description.
* Mon May 20 2019 pgajdos@suse.com
- version update to 0.6.4
  * no upstream changelog
- convert to single spec
- run the testsuite
* Mon Dec  5 2016 fstrba@suse.com
- Initial release of python-podcastparser 0.6.0
